Get product questions
curl --request GET \
--url https://scrapebadger.com/v1/target/products/{tcin}/questions \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/target/products/{tcin}/questions"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/target/products/{tcin}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/target/products/{tcin}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/target/products/{tcin}/questions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/target/products/{tcin}/questions")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/target/products/{tcin}/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyTarget endpoints
Get product questions
Get product questions.
GET
/
v1
/
target
/
products
/
{tcin}
/
questions
Get product questions
curl --request GET \
--url https://scrapebadger.com/v1/target/products/{tcin}/questions \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/target/products/{tcin}/questions"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/target/products/{tcin}/questions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/target/products/{tcin}/questions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/target/products/{tcin}/questions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/target/products/{tcin}/questions")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/target/products/{tcin}/questions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet product questions.
Credits: 5 per successful request. Failed requests and empty result sets are not charged.
Browse all Target endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Tcin.
integer
default:"1"
Page. Minimum: 1.
integer
default:"10"
Page size. Minimum: 1. Maximum: 50.
Response
{
"page": 0,
"size": 24,
"total_results": 156,
"total_pages": 7,
"first_page": true,
"last_page": false,
"results": [
{
"id": "edb44f54-353d-4f60-a335-9a063d2d62cd",
"external_id": "ae6180b1-83e1-5923-bede-49e0d3cbdb80",
"is_syndicated": false,
"channel": "TARGET",
"author": {
"external_id": "10008344560",
"nickname": "Don"
},
"text": "Until what age we can use this car seat",
"feedback": {
"helpful": 0,
"unhelpful": 0
},
"status": "APPROVED",
"submitted_at": "2026-10-09T12:33:48.700Z",
"modified_at": "2026-10-12T03:32:32.330Z",
"tcins": [
"82136117"
],
"answers": [
{
"id": "1b8f67d7-57bc-4afd-9db1-8843d5cbd709",
"question_id": "edb44f54-353d-4f60-a335-9a063d2d62cd",
"external_id": "8b8a999b-3f14-51d5-9cbe-935bbce32c3f",
"is_syndicated": false,
"author": {
"external_id": "BRAND_ANSWERS_graco",
"nickname": "Graco Consumer Care",
"badges": [
"BRAND_EXPERT"
]
},
"text": "Thanks for your interest in our TriRide 3-in-1 Car Seat. The recommended use for this seat is Rear-Facing Harness: 5-40 lb., head must be at least 1\" below handle; Forward-Facing Harness: 26.5-65 lb., up to 49\"; Highback Booster: 40-100 lb., 43-57\", at least 4 years old. We hope this helps! -The Graco Team",
"feedback": {
"helpful": 0,
"unhelpful": 0
},
"status": "APPROVED",
"submitted_at": "2026-10-09T14:33:31Z",
"modified_at": "2026-10-12T04:10:40.397Z",
"submitted_utc": 1791556411.0,
"modified_utc": 1791778240.397
}
],
"submitted_utc": 1791549228.7,
"modified_utc": 1791775952.33
}
]
}
Example
curl --get 'https://scrapebadger.com/v1/target/products/82286564/questions' \
--header 'X-API-Key: YOUR_API_KEY' \
--data-urlencode 'page=1' \
--data-urlencode 'page_size=24'

